signature COLOR = sig
  type color
  val red      : color
  val green    : color
  val blue     : color
  val cyan     : color
  val magenta  : color
  val white    : color
  val black    : color
  val from216  : int -> color
  val fromRGB  : {r:real,g:real,b:real} -> color
  val toRGB    : color -> {r:real,g:real,b:real}
  val toRGB24  : color -> {r:Word8.word,g:Word8.word,b:Word8.word}
  val scale    : (real * color) -> color
  val eq       : (color * color) -> bool
end