signature PICTURE = sig
  type pict
  datatype pict_def =
    Layer  of Texture.texture_def * Shape.shape_def
  | OnTop  of pict_def * pict_def
  val mkPict : pict_def -> pict
  val getPixel  : pict -> (Geometry.point -> Color.color option)
end