signature GEOMETRY = sig
  type point = (real * real)

  val origin      : point
  val plusPt      : (point * point) -> point
  val minusPt     : (point * point) -> point
  val dotProd     : (point * point) -> real
  val distSquared : (point * point) -> real

  val leftOf       : (point * point) -> point -> bool
  val projectPt    : (point * point) -> point -> real

end