structure Shape :> SHAPE =
  struct
    open Geometry
    type shape = (point -> bool)

    datatype shape_def =
      Everything
    | Nothing
    | Elipse     of Geometry.point * real * real
    | HalfPlane  of Geometry.point * Geometry.point
    | Intersect  of shape_def * shape_def
    | Union      of shape_def * shape_def
    | Diff       of shape_def * shape_def
    | Trans      of Geometry.point * shape_def
    | ScaleXY    of real * real * shape_def

    fun deno Everything = (fn _ => true)
      | deno Nothing = (fn _ => false)
      (* problem 5 (a) *)
      | deno (Elipse((x0,y0),a,b)) = raise (Fail "finish me")
      | deno (HalfPlane(p1,p2)) = raise (Fail "finish me")
      (* problem 5 (b) *)
      | deno (Intersect(s1,s2)) = raise (Fail "finish me")
      | deno (Union(s1,s2)) = raise (Fail "finish me")
      | deno (Diff(s1,s2)) =  raise (Fail "finish me")
      (* problem 5 (c) *)
      | deno (Trans((x0,y0),s)) = raise (Fail "finish me")
      | deno (ScaleXY(a,b,s)) =  raise (Fail "finish me")

      fun remove_trans (Trans(p0 as (x,y),s)) =
	(case s of
	   Everything => raise (Fail "finish me")
 	 | Nothing => raise (Fail "finish me")
         | HalfPlane(p1,p2) => raise (Fail "finish me")
	 | Elipse(c,a,b) => raise (Fail "finish me")
	 | Intersect(s1,s2) => raise (Fail "finish me")
	 | Union(s1,s2) => raise (Fail "finish me")
	 | Diff(s1,s2) => raise (Fail "finish me")
	 | Trans(p1,s) => raise (Fail "finish me")
	 | ScaleXY(a,b,s) => raise (Fail "finish me"))
	| remove_trans (Intersect(s1,s2)) =
	   Intersect(remove_trans s1,remove_trans s2)
	| remove_trans (Union(s1,s2)) =
	   Union(remove_trans s1,remove_trans s2)
	| remove_trans (Diff(s1,s2)) =
	   Diff(remove_trans s1,remove_trans s2)
	| remove_trans (ScaleXY(a,b,s)) =
	   ScaleXY(a,b,remove_trans s)
	| remove_trans x = x 

      (* problem 6 *)
      fun remove_scale (ScaleXY(a,b,s)) = 
	(case s of   _ => raise (Fail "finish me"))
	| remove_scale (Intersect(s1,s2)) =
	   Intersect(remove_scale s1,remove_scale s2)
	| remove_scale (Union(s1,s2)) =
	   Union(remove_scale s1,remove_scale s2)
	| remove_scale (Diff(s1,s2)) =
	   Diff(remove_scale s1,remove_scale s2)
	| remove_scale (Trans(p,s)) =
	   Trans(p,remove_scale s)
	| remove_scale x = x 
      val optimize = ref false
     fun optShape s = 
       if !optimize then remove_scale (remove_trans s)
       else s
     fun mkShape s = deno (optShape s) 
     fun member s = s 
  end

