signature TEXTURE = sig
  type texture 

  datatype texture_def =
    Constant of Color.color
  | Funct    of Geometry.point -> Color.color
  val mkTexture : texture_def -> texture
  val getColor  : texture -> (Geometry.point -> Color.color)
end
